diff mbox

[1/2] Package nfs-utils: Start/stop daemons consistently

Message ID 1467564419-21313-1-git-send-email-maxime.hadjinlian@gmail.com
State Accepted
Headers show

Commit Message

Maxime Hadjinlian July 3, 2016, 4:46 p.m. UTC
From: universe II <universeii@gmx.de>

Changed init script to start and stop all nfs daemons
in a consistent way. Using the same kill command,
start/stop the daemon, printout OK or FAIL and touch
or deleted necessary files.

Signed-off-by: Andreas Ehmanns <universeII@gmx.de>
[Maxime:
   - Make it really consistent to stop the daemons as pointed out by Yann E. Morin
   - Remove the -9]
Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
---
 package/nfs-utils/S60nfs | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Comments

Thomas Petazzoni July 3, 2016, 4:53 p.m. UTC | #1
Hello,

Title should be:

	package/nfs-utils: start/stop daemons consistently

On Sun,  3 Jul 2016 18:46:58 +0200, Maxime Hadjinlian wrote:
> From: universe II <universeii@gmx.de>

Please fix this "From" to be consistent with the Signed-off-by. I
forgot about it when applying the previous patches from Andreas.

> 
> Changed init script to start and stop all nfs daemons

Please use the present "Change" and not the past "Changed". I don't
understand why people use the past tense in commit logs.

> in a consistent way. Using the same kill command,
> start/stop the daemon, printout OK or FAIL and touch
> or deleted necessary files.
> 
> Signed-off-by: Andreas Ehmanns <universeII@gmx.de>
> [Maxime:
>    - Make it really consistent to stop the daemons as pointed out by Yann E. Morin

Line too long, no? :)

>    - Remove the -9]
> Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
> ---
>  package/nfs-utils/S60nfs | 12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)
> 
> diff --git a/package/nfs-utils/S60nfs b/package/nfs-utils/S60nfs
> index 7a49c79..2d4e082 100755
> --- a/package/nfs-utils/S60nfs
> +++ b/package/nfs-utils/S60nfs
> @@ -45,22 +45,22 @@ start() {
>  stop() {
>  	# Stop daemons.
>  	printf "Shutting down NFS mountd: "
> -	killall -q rpc.mountd
> +	killall -q rpc.mountd 2>/dev/null
>  	[ $? = 0 ] && echo "OK" || echo "FAIL"
>  
>  	printf "Shutting down NFS daemon: "
> -	kill -9 `pidof nfsd` 2>/dev/null
> +	killall -q nfsd 2>/dev/null
>  	[ $? = 0 ] && echo "OK" || echo "FAIL"
>  
>  	printf "Shutting down NFS services: "
>  	/usr/sbin/exportfs -au
> -	rm -f /var/lock/subsys/nfs
> -	killall -q rpc.statd
>  	[ $? = 0 ] && echo "OK" || echo "FAIL"
>  
>  	printf "Stopping NFS statd: "
> -	killall -q rpc.statd
> +	killall -q rpc.statd 2>/dev/null
>  	[ $? = 0 ] && echo "OK" || echo "FAIL"
> +	rm -f /var/lock/subsys/nfs
> +	rm -f /var/run/rpc.statd.pid
>  	rm -f /var/lock/subsys/nfslock
>  }
>  
> @@ -81,7 +81,7 @@ case "$1" in
>  	touch /var/lock/subsys/nfs
>  	;;
>    *)
> -	echo "Usage: nfs {start|stop|reload}"
> +	echo "Usage: $0 {start|stop|restart|reload}"
>  	exit 1
>  esac
>  

Thomas
Thomas Petazzoni July 4, 2016, 9:42 a.m. UTC | #2
Hello,

On Sun,  3 Jul 2016 18:46:58 +0200, Maxime Hadjinlian wrote:
> From: universe II <universeii@gmx.de>
> 
> Changed init script to start and stop all nfs daemons
> in a consistent way. Using the same kill command,
> start/stop the daemon, printout OK or FAIL and touch
> or deleted necessary files.
> 
> Signed-off-by: Andreas Ehmanns <universeII@gmx.de>
> [Maxime:
>    - Make it really consistent to stop the daemons as pointed out by Yann E. Morin
>    - Remove the -9]
> Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
> ---
>  package/nfs-utils/S60nfs | 12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)

Both applied, with minor tweaks. Regarding the second patch, I really
wasn't sure since we don't have written rules about indentation in our
init scripts, it's the kind of things that tends to get changed in one
direction, and then in the other direction a few months later. But
anyway, since the patch was done, I applied it.

Thanks!

Thomas
universe II July 6, 2016, 4:53 p.m. UTC | #3
Dear all,
thanks for revising the patch series. As requested I will use the 
present instead of the past in the future :-)

Regards,
Andreas

Am 03.07.2016 um 18:53 schrieb Thomas Petazzoni:
> Hello,
>
> Title should be:
>
> 	package/nfs-utils: start/stop daemons consistently
>
> On Sun,  3 Jul 2016 18:46:58 +0200, Maxime Hadjinlian wrote:
>> From: universe II <universeii@gmx.de>
> Please fix this "From" to be consistent with the Signed-off-by. I
> forgot about it when applying the previous patches from Andreas.
>
>> Changed init script to start and stop all nfs daemons
> Please use the present "Change" and not the past "Changed". I don't
> understand why people use the past tense in commit logs.
>
>> in a consistent way. Using the same kill command,
>> start/stop the daemon, printout OK or FAIL and touch
>> or deleted necessary files.
>>
>> Signed-off-by: Andreas Ehmanns <universeII@gmx.de>
>> [Maxime:
>>     - Make it really consistent to stop the daemons as pointed out by Yann E. Morin
> Line too long, no? :)
>
>>     - Remove the -9]
>> Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
>> ---
>>   package/nfs-utils/S60nfs | 12 ++++++------
>>   1 file changed, 6 insertions(+), 6 deletions(-)
>>
>> diff --git a/package/nfs-utils/S60nfs b/package/nfs-utils/S60nfs
>> index 7a49c79..2d4e082 100755
>> --- a/package/nfs-utils/S60nfs
>> +++ b/package/nfs-utils/S60nfs
>> @@ -45,22 +45,22 @@ start() {
>>   stop() {
>>   	# Stop daemons.
>>   	printf "Shutting down NFS mountd: "
>> -	killall -q rpc.mountd
>> +	killall -q rpc.mountd 2>/dev/null
>>   	[ $? = 0 ] && echo "OK" || echo "FAIL"
>>   
>>   	printf "Shutting down NFS daemon: "
>> -	kill -9 `pidof nfsd` 2>/dev/null
>> +	killall -q nfsd 2>/dev/null
>>   	[ $? = 0 ] && echo "OK" || echo "FAIL"
>>   
>>   	printf "Shutting down NFS services: "
>>   	/usr/sbin/exportfs -au
>> -	rm -f /var/lock/subsys/nfs
>> -	killall -q rpc.statd
>>   	[ $? = 0 ] && echo "OK" || echo "FAIL"
>>   
>>   	printf "Stopping NFS statd: "
>> -	killall -q rpc.statd
>> +	killall -q rpc.statd 2>/dev/null
>>   	[ $? = 0 ] && echo "OK" || echo "FAIL"
>> +	rm -f /var/lock/subsys/nfs
>> +	rm -f /var/run/rpc.statd.pid
>>   	rm -f /var/lock/subsys/nfslock
>>   }
>>   
>> @@ -81,7 +81,7 @@ case "$1" in
>>   	touch /var/lock/subsys/nfs
>>   	;;
>>     *)
>> -	echo "Usage: nfs {start|stop|reload}"
>> +	echo "Usage: $0 {start|stop|restart|reload}"
>>   	exit 1
>>   esac
>>   
> Thomas
diff mbox

Patch

diff --git a/package/nfs-utils/S60nfs b/package/nfs-utils/S60nfs
index 7a49c79..2d4e082 100755
--- a/package/nfs-utils/S60nfs
+++ b/package/nfs-utils/S60nfs
@@ -45,22 +45,22 @@  start() {
 stop() {
 	# Stop daemons.
 	printf "Shutting down NFS mountd: "
-	killall -q rpc.mountd
+	killall -q rpc.mountd 2>/dev/null
 	[ $? = 0 ] && echo "OK" || echo "FAIL"
 
 	printf "Shutting down NFS daemon: "
-	kill -9 `pidof nfsd` 2>/dev/null
+	killall -q nfsd 2>/dev/null
 	[ $? = 0 ] && echo "OK" || echo "FAIL"
 
 	printf "Shutting down NFS services: "
 	/usr/sbin/exportfs -au
-	rm -f /var/lock/subsys/nfs
-	killall -q rpc.statd
 	[ $? = 0 ] && echo "OK" || echo "FAIL"
 
 	printf "Stopping NFS statd: "
-	killall -q rpc.statd
+	killall -q rpc.statd 2>/dev/null
 	[ $? = 0 ] && echo "OK" || echo "FAIL"
+	rm -f /var/lock/subsys/nfs
+	rm -f /var/run/rpc.statd.pid
 	rm -f /var/lock/subsys/nfslock
 }
 
@@ -81,7 +81,7 @@  case "$1" in
 	touch /var/lock/subsys/nfs
 	;;
   *)
-	echo "Usage: nfs {start|stop|reload}"
+	echo "Usage: $0 {start|stop|restart|reload}"
 	exit 1
 esac